Bug 700532 - Incorrect if condition in dsalib
Summary: Incorrect if condition in dsalib
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2011-04-28 15:31 UTC by Nathan Kinder
Modified: 2015-12-07 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:52:08 UTC


Attachments (Terms of Use)
Patch for cov#10832 (1.16 KB, patch)
2011-04-28 15:33 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-04-28 15:31:48 UTC
The dsalib code has an incorrect if condition in ds_get_file_list().  It looks like the condition at line 114/115 should be checking if the realloc failed so we can avoid filling in ret if we were unable to allocate memory.

Comment 1 Nathan Kinder 2011-04-28 15:33:49 UTC
Created attachment 495579 [details]
Patch for cov#10832

Comment 2 Nathan Kinder 2011-04-28 18:07:01 UTC
Pushed patch to master.  Thanks to Noriko for her review!

Counting objects: 9, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (5/5), 686 bytes, done.
Total 5 (delta 3), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/admin.git
   0a28e3d..9047b26  master -> master

Comment 5 Rich Megginson 2011-06-06 21:40:00 UTC
coverity is clean - marking verified


Note You need to log in before you can comment on or make changes to this bug.